
package cz.upol.pja.lecture07.web;

import cz.upol.pja.lecture07.model.Quote;
import cz.upol.pja.lecture07.api.QuoteManagement;
import java.util.List;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

@RequestScoped
@Named("quotesCtl")
public class QuotesCtl {
    
    @EJB
    private QuoteManagement quoteManagement;
    
    private String quoteText = "";
    private String author = "";

    public QuotesCtl() {
    }
    
    public String quoteInsert() {
        quoteManagement.createQuote(quoteText, author);
        author = "";
        quoteText = "";
        return "";
    }
    
    public String remove(int id) {
        quoteManagement.deleteQuote(id);
        return "";
    }
    
    public List<Quote> getQuotes() {
        return quoteManagement.listAllQuotes();
    }

    public String getQuoteText() {
        return quoteText;
    }

    public void setQuoteText(String quoteText) {
        this.quoteText = quoteText;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }
}
